<script>
  import { getContext, onMount } from 'svelte';

  const user = getContext('user');

  onMount(async () => {
    if (!$user) {
      window.location.href = '/login';
    }
  });
</script>

{#if $user}
    <slot/>
{/if}